
%define _with_subversion --with-subversion --with-apr-config=apr-1-config --with-apu-config=apu-1-config

%define make_cvs 1 

%if 0%{?fedora} > 7
# make -libs subpkg
%define libs 1
%endif

Name:    kdesdk
Summary: The KDE Software Development Kit (SDK)
Version: 3.5.8
Release: 2%{?dist}

License: GPLv2
Group: User Interface/Desktops
URL: http://www.kde.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2

Patch1: kdesdk-3.5.7-subversion.patch
Patch2: kdesdk-3.5.4-multilib.patch

Provides: kdesdk3 = %{version}-%{release}

%if 0%{?libs}
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
%else
Obsoletes: %{name}-libs < %{?epoch:%{epoch}:}%{version}-%{release}
Provides:  %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
%endif

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%if %{make_cvs}
BuildRequires: automake libtool
%endif
BuildRequires: kdelibs3-devel >= %{version}
# for kbugbuster/libkcal
BuildRequires: kdepim3-devel
BuildRequires: db4-devel
BuildRequires: desktop-file-utils
# kbabel,  F-7+: flex >= 2.5.33-9
BuildRequires: flex
# umbrello
BuildRequires: libxslt-devel libxml2-devel
%if 0%{?fedora} > 5 || 0%{?rhel} > 4
BuildRequires: binutils-devel
%endif
BuildRequires: perl
%{?_with_subversion:BuildRequires: subversion-devel neon-devel}

# Obsoletes/Provides
%define cervisia_ver 2.4.7
Provides: cervisia = %{cervisia_ver}-%{release}

%define umbrello_ver 1.5.7
Obsoletes: umbrello < %{umbrello_ver}-%{release}
Provides:  umbrello = %{umbrello_ver}-%{release}


%description
A collection of applications and tools used by developers, including:
* cervisia: a CVS frontend
* kbabel: PO file management
* kbugbuster: a tool to manage the KDE bug report system
* kcachegrind: a browser for data produced by profiling tools (e.g. cachegrind)
* kompare: diff tool
* kuiviewer: displays designer's UI files
* umbrello: UML modeller and UML diagram tool

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Provides: kdesdk3-devel = %{version}-%{release}
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs3-devel
%description devel
%{summary}.

%if 0%{?libs}
%package libs
Summary: %{name} runtime libraries
Group:   System Environment/Libraries
Requires: kdelibs3 >= %{version}
# helps multilib upgrades
Obsoletes: %{name} < %{?epoch:%{epoch}:}%{version}-%{release}
# include to be paranoid, installing libs-only is still mostly untested -- Rex
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
%description libs
%{summary}.
%endif


%prep
%setup -q

%patch1 -p1 -b .subversion
%patch2 -p1 -b .multilib

%if %{make_cvs}
   make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR && . /etc/profile.d/qt.sh

%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependancy-tracking --enable-final \
  %{?_with_subversion}

make %{?_smp_mflags}


%install
rm -rf %{buildroot} 

make install DESTDIR=%{buildroot}

desktop-file-install --vendor "" \
  --dir %{buildroot}%{_datadir}/applications/kde \
  %{buildroot}%{_datadir}/applications/kde/*.desktop \

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -nfs ../common $i
   fi
done
popd

rm -f %{buildroot}/%{_datadir}/apps/kapptemplate/admin/Makefile \
      %{buildroot}/%{_datadir}/apps/kapptemplate/admin/Makefile.in


%clean
rm -rf %{buildroot}


# trick to replace a dir by a symlink -- Rex
%pre
if [ $1 -gt 0 -a ! -L  %{_docdir}/HTML/en/cervisia/common ]; then 
  rm -rf %{_docdir}/HTML/en/cervisia/common ||:
fi

%post
%{!?libs:/sbin/ldconfig}
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
%{!?libs:/sbin/ldconfig}
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%if 0%{?libs}
%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig
%endif


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_docdir}/HTML/en/*
%{_datadir}/apps/*
%{_datadir}/mimelnk/application/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/applications/kde/*
%{_datadir}/config.kcfg/*
%{_libdir}/kde3/*
%{_libdir}/libkdeinit_*.so
%{_mandir}/man1/*

%if 0%{?libs}
%files libs
%defattr(-,root,root,-)
%endif
%{_libdir}/lib*.so.*
%{_libdir}/lib*.la

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde/*
%{_libdir}/lib*.so
%exclude %{_libdir}/libkdeinit_*.so
%{_libdir}/libktrace_s.a


%changelog
* Tue Oct 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.8-2
- -libs: Obsoletes: %%name ... to help out multilib upgrades
- -libs conditional (f8+)

* Sat Oct 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.8-1
- kde-3.5.8
- libs subpkg (more multilib friendly)

* Wed Sep 12 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-10
- update %%description to mention included apps
- move manpages to main pkg.
- Provides: cervisia umbrello
- kbugbuster kuiviewer: drop --add-only-show-in KDE
- kioslave/svn: --with-subversion, patch

* Wed Aug 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-9
- License: GPLv2
- (Build)Requires: kdelibs3(-devel) kdepim3-devel
- Provides: kdesdk3(-devel)

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 3.5.7-8
- Rebuild for selinux ppc32 issue.

* Fri Jul 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-7
- don't use %%pretrans (#249374)

* Thu Jun 28 2007 Than Ngo <than@redhat.com> - 3.5.7-6
- get rid of flex workaround, it's now fixed in new flex

* Fri Jun 22 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-5
- clean up /usr/share/doc/HTML/en/cervisia/common hackery (#246072)

* Sun Jun 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-4
- flex patch
- BR: subversion-devel neon-devel
- portability

* Sat Jun 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5.7-2
- BR: kdepim-devel

* Thu Jun 14 2007 Than Ngo <than@redhat.com> -  3.5.7-1.fc7
- 3.5.7

* Mon Apr 30 2007 Than Ngo <than@redhat.com> - 3.5.6-2.fc7
- shouldn't own /usr/share/doc/HTML/en/common

* Thu Feb 08 2007 Than Ngo <than@redhat.com> 3.5.6-1.fc7
- 3.5.6

* Tue Sep 05 2006 Than Ngo <than@redhat.com> 3.5.4-2
- fix #205217, multilib issue
- apply upstream patches
    fix #131717, kompare won't parse diffs from git

* Thu Aug 10 2006 Than Ngo <than@redhat.com> 3.5.4-1
- rebuild

* Mon Jul 24 2006 Petr Rockai <prockai@redhat.com> - 3.5.4-0.pre1
- prerelease of 3.5.4 (from the first-cut tag)

* Mon Jul 17 2006 Than Ngo <than@redhat.com> 3.5.3-3
- BR: flex, needed to build kbabel

* Fri Jul 14 2006 Than Ngo <than@redhat.com> 3.5.3-2
- BR: autoconf automake libtool

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.5.3-1.1
- rebuild

* Fri Jun 02 2006 Than Ngo <than@redhat.com> 3.5.3-1
- update to 3.5.3 

* Wed Apr 05 2006 Than Ngo <than@redhat.com> 3.5.2-1
- update to 3.5.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb 05 2006 Than Ngo <than@redhat.com> 3.5.1-1 
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec 02 2005 Than Ngo <than@redhat.com> 2:3.5.0-1
- 3.5

* Wed Nov 09 2005 Than Ngo <than@redhat.com> 2:3.4.92-2 
- get rid of xorg-x11-devel require

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 2:3.4.92-1
- update to 3.5 Beta2

* Tue Oct 04 2005 Than Ngo <than@redhat.com> 2:3.4.91-1
- update to 3.5 Beta 1

* Wed Sep 21 2005 Than Ngo <than@redhat.com> 2:3.4.2-2
- fix uic build problem

* Mon Aug 08 2005 Than Ngo <than@redhat.com> 3.4.2-1
- update to 3.4.2

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 2:3.4.1-1
- 3.4.1

* Wed Apr 20 2005 Than Ngo <than@redhat.com> 2:3.4.0-3
- fix dependency issue

* Tue Apr 19 2005 Than Ngo <than@redhat.com> 2:3.4.0-2
- buildrequires cleanup 

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 2:3.4.0-1
- 3.4.0

* Sat Mar 05 2005 Than Ngo <than@redhat.com> 2:3.4.0-0.rc1.2
- fix gcc4 build problem

* Mon Feb 28 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.1
- KDE 3.4.0 rc1

* Tue Feb 22 2005 Than Ngo <than@redhat.com> 2:3.3.92-0.1
- KDE-3.4 beta2

* Sun Dec 05 2004 Than Ngo <than@redhat.com> 2:3.3.2-0.1
- update to 3.3.2

* Thu Nov 11 2004 Jeff Johnson <jbj@jbj.org> 2:3.3.1-3
- rebuild against db-4.3.21.

* Mon Oct 18 2004 Than Ngo <than@redhat.com> 2:3.3.1-2
- rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 2:3.3.1-1
- update to 3.3.1

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2 
- update to 3.3.0 rc2

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 2:3.2.3-1
- update to 3.2.3

* Wed May 05 2004 Than Ngo <than@redhat.com> 2:3.2.2-2
- cleanup KDE/GNOME menu

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 2:3.2.2-1
- update to 3.2.2

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 2:3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Than Ngo <than@redhat.com> 2:3.2.0-1.4
- add BuildPrereq on db4-devel

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Feb 08 2004 Than Ngo <than@redhat.com> 2:3.2.0-0.3
- 3.2.0 release
- built against qt-3.3.0

* Wed Jan 21 2004 Than Ngo <than@redhat.com> 2:3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 2:3.1.94-0.1
- KDE 3.2 Beta2 
- remove kdesdk-3.1.93-kcachegrind.patch, it's included in new upstream

* Fri Nov 28 2003 Than Ngo <than@redhat.com> 2:3.1.93-0.4
- fixed db4 issue 

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 2:3.1.93-0.3
- get rid of rpath

* Wed Nov 26 2003 Than Ngo <than@redhat.com> 2:3.1.93-0.2
- fixed type conflict on x86_64

* Thu Nov 13 2003 Than Ngo <than@redhat.com> 2:3.1.93-0.1
- KDE 3.2 Beta1
- cleanup

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 2:3.1.4-1
- 3.1.4

* Thu Aug 14 2003 Than Ngo <than@redhat.com> 2:3.1.3-3
- add workaround for s390/s390x build problem

* Wed Aug 13 2003 Than Ngo <than@redhat.com> 2:3.1.3-2
- rebuilt

* Tue Aug 12 2003 Than Ngo <than@redhat.com> 2:3.1.3-1
- 3.1.3

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 3.1.2-5
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 23 2003 Than Ngo <than@redhat.com> 3.1.2-3
- don't build kbugbuster, which is not used anymore.

* Thu May 15 2003 Than Ngo <than@redhat.com> 3.1.2-2
- respin

* Wed May 14 2003 Than Ngo <than@redhat.com> 3.1.2-1
- 3.1.2

* Thu Mar 20 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of gcc path from dependency_libs

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.7
- rebuild

* Wed Jan 15 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.6
- fix for ktrace (libc)

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.5
- rc6
- removed size_t check

* Sat Dec 21 2002 Than Ngo <than@redhat.com> 3.1-0.4
- add Icons

* Fri Dec 13 2002 Than Ngo <than@redhat.com> 3.1-0.3
- fix package conflicts

* Sat Nov 30 2002 Than Ngo <than@redhat.com> 3.1-0.2
- desktop issues
- get rid of sub packages
- add new kdesdk-devel

* Fri Nov 29 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4

* Tue Nov 19 2002 Than Ngo <than@redhat.com> 3.0.5-1.1
- fix group issue (bug #78119)
- remove Obsoletes kdesdk (bug #78138, #78139, #78140, #78141, #78142, #78143)

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5
- add missing scripts, manpages and icons
- remove a unneeded patch file

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4
- Added missing documentations (bug #74550)

* Mon Aug 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-1
- 3.0.3

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-5
- Rename libraries

* Tue Apr  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Fix bug #62259

* Sun Mar 31 2002 Than Ngo <than@redhat.com> 3.0.0-3
- fix bug #62388

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-2
- final

* Tue Mar 26 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020326.1
- update

* Sun Mar 24 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020324.1
- update
- fix bug #61671, #61670, #61656
- add more buildrequires

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020102.1
- Update
- Split in subpackages

* Mon Aug  6 2001 Than Ngo <than@redhat.com> 2.2-1
- update to 2.2 release

* Sat Aug  04 2001 Than Ngo <than@redhat.com> 2.2-0.cvs20010804.1
- update
- fix bug #50665

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Remove extractrc (it's in kdevelop)
- remove ia64 workarounds

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- update

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin
- fix dangling symlink

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Fri Feb 16 2001 Than Ngo <than@redhat.com>
- fix to build against glibc
- obsolete ktranslator kless (from powertools)
- clean up specfile
- add missing %post and %postun (ldconfig)

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get rid of libkdefakes.so.0 requirement
- Obsolete kbabel (from Powertools)

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
